Fedora Linux Support Community & Resources Center
  #1  
Old 22nd August 2010, 07:38 PM
thaolen Offline
Registered User
 
Join Date: Aug 2010
Posts: 2
linuxfedorafirefox
Fedora12 Older Xorg needed

Hello, I am using Fedora12 and I'm running the radeon graphics driver, my card is ATi 8500 Radeon and I can't play hardly any games or use applications that require 3D Acceleration.

The catalyst driver that I need for my ATi is too old to support Fedora 12 Xorg. My question is, is there a way to downgrade Xorg so I can install my cards drivers?

If there is how can I do this.

If I run a 3D game of any kind It either works for a while and locks up the system where I can't even telnet into it to shut it down, or it won't start the game or App. I know I have some acceleration due to my glx gears, I could get into great detail of what I can and can't do.

Bottom line is since the video card is too old, not even the generic radeon driver allows me full freedom so there must be a way to install the other X.org without breakage

Code:
GL_RENDERER   = Mesa DRI R200 (R200 514C) 20090101 AGP 4x  TCL
GL_VERSION    = 1.3 Mesa 7.7.1-DEVEL
GL_VENDOR     = Tungsten Graphics, Inc.
X.org version
Code:
X.Org X Server 1.7.5
Release Date: 2010-02-16
X Protocol Version 11, Revision 0
Build Operating System: x86-03 2.6.18-164.6.1.el5 
Current Operating System: Linux fedora-core 2.6.31.12-1.rt20.1.fc12.ccrma.i686.rtPAE #1 SMP PREEMPT RT Thu Jan 21 22:07:32 EST 2010 i686
Kernel command line: ro root=UUID=3b70961f-c0ce-425e-9362-fc02a2831fd9 radeon.modeset=0 LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet
Build Date: 22 February 2010  04:51:26AM
Build ID: xorg-x11-server 1.7.5-2.fc12 
Current version of pixman: 0.16.6
	Before reporting problems, check http://bodhi.fedoraproject.org/
	to make sure that you have the latest version.
Code:
for my ati card
Needed version of X.org for install
1 of 1 	17.9MB 	8.28.8 	Aug. 18, 2006 	Display Drivers for X.Org 6.8
The R200 Radeon driver for my ATi in Fedora12 is not fully compatible with my video card, I was told this on an IRC channel a while ago, I think it stopped at Radeon 9600 ATi.

Thanks
Reply With Quote
  #2  
Old 22nd August 2010, 08:44 PM
JEO Offline
Registered User
 
Join Date: Jan 2006
Posts: 2,787
linuxfedorafirefox
Re: Fedora12 Older Xorg needed

I really don't think there is any way you can get Fedora 12, with its 2010 era Xorg version, running properly with a 2006 version of Xorg (or was it called Xfree86 back then?).

In my case, I dumped the R200 card, and ordered a low cost nvidia 6200 256MB AGP card online. Been happy as a clam ever since running the proprietary nvidia driver.
Reply With Quote
  #3  
Old 22nd August 2010, 09:14 PM
thaolen Offline
Registered User
 
Join Date: Aug 2010
Posts: 2
linuxfedorafirefox
Re: Fedora12 Older Xorg needed

Alright, thanks for the advice, If I ever get the chance to get a used card 9600 is prob the only thing that will work with my machine. I tried a Sapphire Ati once, it ran but it didn't run well it was a 4x as mine is oh well
Reply With Quote
  #4  
Old 22nd August 2010, 10:31 PM
sentry Offline
Registered User
 
Join Date: Jul 2005
Posts: 591
windows_xp_2003chrome
Re: Fedora12 Older Xorg needed

Buy Nvidia; trust me.
Reply With Quote
Reply

Tags
fedora12, needed, older, xorg

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Missing Dependency: xorg-x11-drv-nvidia = 169.12-1.lvn8 is needed by package xorg-x11 Jbanicar Using Fedora 16 22nd August 2008 03:06 PM
Help needed configuring special case of xorg.conf Mathijs Hardware & Laptops 1 24th July 2008 12:45 PM
Quick help needed (xorg.conf broken) Nitrub Using Fedora 7 24th November 2007 11:46 AM
nVidia 9626 xorg.conf needed! Phoenix49 Hardware & Laptops 5 9th November 2006 08:34 AM
Critical Xorg.conf help needed! christos Using Fedora 3 7th December 2004 01:43 AM


Current GMT-time: 13:38 (Thursday, 24-04-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat